Page MenuHomeFreeBSD

www/nginx: fix for fastdfs module
ClosedPublic

Authored by joneum on Sep 6 2017, 4:18 PM.

Details

Summary
  • www/nginx: fix for fastdfs module
  • As of ftp/fastdfs 5.0.11 nginx wont start by default if the fastdfs module is loaded. Provided patch sorts that out by adding the missing params to the mod_fastdfs.conf file. While patching mod_fastdfs.conf i also changed the storage paths to match the ftp/fastds port

PR: 222067
Reported by: Daniel Ylitalo <daniel@blodan.se>
Approved by: xxx (mentor)
#Differential Revision: https://reviews.freebsd.org/Dxxxxx

Test Plan

~...www/nginx: portlint -AC [18:12:36]
WARN: Makefile: HTTP_ACCESSKEY appears in PORT_OPTIONS:M, but is not listed in OPTIONS_DEFINE.
WARN: Makefile: HTTP_ACCESSKEY appears in PORT_OPTIONS:M, but is not listed in OPTIONS_DEFINE.
WARN: Makefile: [505]: is USE_HTTP_DAV a user-settable option? Consider using WITH_HTTP_DAV instead.
WARN: Makefile: [925]: is USE_HTTP_REWRITE a user-settable option? Consider using WITH_HTTP_REWRITE instead.
WARN: Makefile: [1130]: is USE_HTTP_SSL a user-settable option? Consider using WITH_HTTP_SSL instead.
WARN: Makefile: [461]: IGNORE messages should begin with a lowercase letter and end without a period.
WARN: Makefile: [308]: possible direct use of command "strip" found. use ${STRIP_CMD} instead.
WARN: Makefile: possible use of absolute pathname "/var".
WARN: Makefile: possible use of absolute pathname "/etc/make.conf".
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
WARN: Makefile: new ports should not set PORTREVISION.
WARN: Makefile: new ports should not set PORTEPOCH.
WARN: Makefile: use of DISTFILES with single file discouraged. distribution filename should be set by DISTNAME and EXTRACT_SUFX.
WARN: Makefile: unless this is a master port, MAINTAINER has to be set by "=", not by "?=".
WARN: Makefile: unless this is a master port, COMMENT has to be set by "=", not by "?=".
WARN: Makefile: "BROKEN_SSL" has to appear earlier.
WARN: Makefile: "IGNORE" has to appear earlier.
WARN: Makefile: LIB_DEPENDS don't specify the ABI version number .3 in libmodsecurity.so.3 unless it is really necessary.
WARN: Makefile: LIB_DEPENDS the new format is libFOO.so (e.g., liblibmodsecurity.so.3.so).
WARN: Makefile: DISTFILES/DISTNAME affects WRKSRC. take caution when changing them.
0 fatal errors and 20 warnings found.

poudriere testport:

10.3-amd64
10.3-i386
11.1-amd64
11.1-i386
12.0-CURRENT r323123 amd64
12.0-CURRENT r323123 i386

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

joneum created this revision.Sep 6 2017, 4:18 PM
tz added a comment.Sep 7 2017, 2:36 PM

Since PR and Review are nearly identical and you are not the author: did you check everything the patch should do? And i do not mean just a build-test. I mean "try to reproduce the error, test the patch, is it gone and everything else works still fine"?
Also the long list of portlint output is quite frightening :D

miwi added a comment.Oct 8 2017, 8:24 AM

any update here?

In D12246#261971, @miwi wrote:

any update here?

The Reporter send me the following update:
The problem is that nginx workers will crash if you load the fastdfs module with the default sample config as of fastdfs 5.0.11.

The patch fixes the sample config so nginx will start with the installed sample-default values.

The problem is that these 2 variables are added to fastdfs 5.0.11 which are missing from the sample config.

http.default_content_type = application/octet-stream
http.mime_types_filename=/usr/local/etc/nginx/mime.types

When added with the patch nginx will start fine again.

miwi accepted this revision.Oct 14 2017, 9:52 AM
This revision is now accepted and ready to land.Oct 14 2017, 9:52 AM
This revision was automatically updated to reflect the committed changes.